=== modified file 'loggerhead/apps/transport.py'
--- loggerhead/apps/transport.py	2009-06-25 01:53:46 +0000
+++ loggerhead/apps/transport.py	2009-07-07 23:52:24 +0000
@@ -93,7 +93,7 @@
                 base = base[len(readonly_prefix):]
             try:
                 path = urlutils.local_path_from_url(base)
-            except errors.InvalidURL, e:
+            except errors.InvalidURL:
                 raise httpexceptions.HTTPNotFound()
             else:
                 return urlparser.make_static(None, path)
@@ -180,7 +180,6 @@
             # segments starting with ~ are user branches
             if path_info.startswith('/~'):
                 segment = path_info_pop(environ)
-                new_transport = transport.clone(segment[1:])
                 return BranchesFromTransportServer(
                     transport.clone(segment[1:]), self, segment)(
                     environ, start_response)

=== modified file 'loggerhead/controllers/atom_ui.py'
--- loggerhead/controllers/atom_ui.py	2009-06-06 09:09:55 +0000
+++ loggerhead/controllers/atom_ui.py	2009-07-07 23:52:24 +0000
@@ -26,7 +26,6 @@
 
     def get_values(self, path, kwargs, headers):
         history = self._history
-        revid = self.get_revid()
         pagesize = int(20)#self._branch.config.get('pagesize', '20'))
 
         revid_list = history.get_file_view(history.last_revid, None)

=== modified file 'loggerhead/controllers/download_ui.py'
--- loggerhead/controllers/download_ui.py	2009-02-06 05:53:36 +0000
+++ loggerhead/controllers/download_ui.py	2009-07-07 23:52:24 +0000
@@ -19,7 +19,6 @@
 
 import logging
 import mimetypes
-import time
 import urllib
 
 from paste import httpexceptions
@@ -34,7 +33,6 @@
 
     def __call__(self, environ, start_response):
         # /download/<rev_id>/<file_id>/[filename]
-        z = time.time()
 
         h = self._history
 

=== modified file 'loggerhead/controllers/filediff_ui.py'
--- loggerhead/controllers/filediff_ui.py	2009-03-28 14:26:37 +0000
+++ loggerhead/controllers/filediff_ui.py	2009-07-07 23:52:24 +0000
@@ -79,13 +79,10 @@
     template_path = 'loggerhead.templates.filediff'
 
     def get_values(self, path, kwargs, headers):
-        history = self._history
-
         revid = urllib.unquote(self.args[0])
         compare_revid = urllib.unquote(self.args[1])
         file_id = urllib.unquote(self.args[2])
 
-        repository = self._history._branch.repository
         chunks = diff_chunks_for_file(
             self._history._branch.repository, file_id, compare_revid, revid)
 

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2009-06-25 03:39:27 +0000
+++ loggerhead/history.py	2009-07-07 23:52:24 +0000
@@ -649,12 +649,8 @@
         Given a bzrlib Revision, return a processed "change" for use in
         templates.
         """
-        parents = [util.Container(revid=r,
-                   revno=self.get_revno(r)) for r in revision.parent_ids]
-
         message, short_message = clean_message(revision.message)
 
-
         tags = self._branch.tags.get_reverse_tag_dict()
 
         revtags = None
@@ -677,7 +673,6 @@
         return util.Container(entry)
 
     def get_file_changes_uncached(self, entry):
-        repo = self._branch.repository
         if entry.parents:
             old_revid = entry.parents[0].revid
         else:

=== modified file 'loggerhead/lsprof.py'
--- loggerhead/lsprof.py	2008-10-24 02:26:05 +0000
+++ loggerhead/lsprof.py	2009-07-07 23:52:24 +0000
@@ -73,7 +73,6 @@
             d = d[:top]
         cols = "% 12s %12s %11.4f %11.4f   %s\n"
         hcols = "% 12s %12s %12s %12s %s\n"
-        cols2 = "+%12s %12s %11.4f %11.4f +  %s\n"
         file.write(hcols % ("CallCount", "Recursive", "Total(ms)",
                             "Inline(ms)", "module:lineno(function)"))
         for e in d:

=== modified file 'loggerhead/main.py'
--- loggerhead/main.py	2009-06-26 09:42:43 +0000
+++ loggerhead/main.py	2009-07-07 23:52:24 +0000
@@ -22,7 +22,6 @@
 import sys
 
 from bzrlib.plugin import load_plugins
-from bzrlib.transport import get_transport
 
 from paste import httpserver
 from paste.httpexceptions import HTTPExceptionHandler, HTTPInternalServerError

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2009-04-02 20:32:12 +0000
+++ loggerhead/util.py	2009-07-07 23:52:24 +0000
@@ -384,8 +384,6 @@
     """
     # Is our root directory itself a branch?
     if is_root:
-        if view == 'directory':
-            directory = 'files'
         breadcrumbs = [{
             'dir_name': path,
             'path': '',

